regina::XMLFilterReader Class Reference
Normal Surfaces

An XML element reader that reads the specific details of a normal surface filter. More...

`#include <surfaces/xmlfilterreader.h>`

Inheritance diagram for regina::XMLFilterReader:

## Public Member Functions

| XMLFilterReader ()
| Creates a new filter element reader. More...
virtual SurfaceFilter * | filter ()
| Returns the newly allocated filter that has been read by this element reader. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, XMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual XMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, XMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...
virtual void | abort (XMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...

## Detailed Description

An XML element reader that reads the specific details of a normal surface filter.

These details are generally contained within a `<filter>` ... `</filter>` pair.

Generally a subclass of XMLFilterReader will be used to receive and store filters that you care about. However, if you simply wish to ignore a particular filter (and all of its descendants), you can use class XMLFilterReader itself for the filter(s) you wish to ignore.

Routine filter() is used to return the filter that was read; see its documentation for further notes on how the filter should be constructed.

Python:\n Not present.

The documentation for this class was generated from the following file:

- surfaces/xmlfilterreader.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).